org.apache.tools.ant.taskdefs.optional

## Class PropertyFile.Entry.Operation

- java.lang.Object
- - org.apache.tools.ant.types.EnumeratedAttribute
  - - org.apache.tools.ant.taskdefs.optional.PropertyFile.Entry.Operation

Enclosing class:
  PropertyFile.Entry

    public static class PropertyFile.Entry.Operation
    extends EnumeratedAttribute

Enumerated attribute with the values "+", "-", "="

### Field Summary

Fields
`static int` `DECREMENT_OPER` -
`static int` `DELETE_OPER` del
`static int` `EQUALS_OPER` =
`static int` `INCREMENT_OPER` +

### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

`value`

### Constructor Summary

Constructors
Constructor and Description
`Operation()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String[]` `getValues()` This is the only method a subclass needs to implement.
`static int` `toOperation(java.lang.String oper)` Convert string to index.

### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

`containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### INCREMENT_OPER

    public static final int INCREMENT_OPER

+

See Also:
  Constant Field Values

#### DECREMENT_OPER

    public static final int DECREMENT_OPER

-

See Also:
  Constant Field Values

#### EQUALS_OPER

    public static final int EQUALS_OPER

=

See Also:
  Constant Field Values

#### DELETE_OPER

    public static final int DELETE_OPER

del

See Also:
  Constant Field Values

### Constructor Detail

#### Operation

    public Operation()

### Method Detail

#### getValues

    public java.lang.String[] getValues()

This is the only method a subclass needs to implement..

Specified by:
  `getValues` in class `EnumeratedAttribute`
Returns:
  an array holding all possible values of the enumeration. The order of elements must be fixed so that `indexOfValue(String)` always return the same index for the same value.

#### toOperation

    public static int toOperation(java.lang.String oper)

Convert string to index.

Parameters:
  `oper` - the string to convert.
Returns:
  the index.